import '../../../l10n/app_localizations.dart';

import 'package:flutter/material.dart';
import 'package:material_symbols_icons/material_symbols_icons.dart';

class ServiceScreen extends StatefulWidget {
  const ServiceScreen({super.key});

  @override
  State<ServiceScreen> createState() => _ServiceScreen();
}

class _ServiceScreen extends State<ServiceScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        automaticallyImplyLeading: false,
        title: Text(
          AppLocalizations.of(context).services,
          style: TextStyle(color: Colors.black, fontWeight: FontWeight.w500),
        ),
        centerTitle: false,
        actions: [
          // IconButton(
          //   icon: const Icon(Icons.notifications_outlined),
          //   onPressed: () {
          //     // Navigate to notifications
          //   },
          // ),
          Padding(
            padding: const EdgeInsets.only(right: 10.0),
            child: InkWell(
              borderRadius: BorderRadius.circular(20),
              onTap: () {
                // Navigator.push(context, MaterialPageRoute(
                //     builder: (context) => const CustomerInfoScreen()));
              },
              child: const CircleAvatar(
                backgroundImage: AssetImage(
                  'assets/images/avatar.jpg',
                ), // Replace with your image
                radius: 20,
              ),
            ),
          ),
        ],
      ),
      body: ListView(
        children: [
          ServiceManagementTile(
            icon: Symbols.add,
            label: AppLocalizations.of(context).accountOpeningDeposit,
            onTap: () {},
          ),
          const Divider(height: 1),
          ServiceManagementTile(
            icon: Symbols.add,
            label: AppLocalizations.of(context).accountOpeningLoan,
            onTap: () {},
          ),
          const Divider(height: 1),
          ServiceManagementTile(
            icon: Symbols.captive_portal,
            label: AppLocalizations.of(context).quickLinks,
            onTap: () {},
          ),
          const Divider(height: 1),
          ServiceManagementTile(
            icon: Symbols.missing_controller,
            label: AppLocalizations.of(context).branchLocator,
            onTap: () {},
          ),
          const Divider(height: 1),
        ],
      ),
    );
  }
}

class ServiceManagementTile extends StatelessWidget {
  final IconData icon;
  final String label;
  final VoidCallback onTap;

  const ServiceManagementTile({
    super.key,
    required this.icon,
    required this.label,
    required this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return ListTile(
      leading: Icon(icon),
      title: Text(label),
      trailing: const Icon(Symbols.arrow_right, size: 20),
      onTap: onTap,
    );
  }
}
